curl --request POST \
--url https://api.anam.ai/v1/auth/session-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientLabel": "<string>",
"personaConfig": {
"name": "Cara",
"avatarId": "30fa96d0-26c4-4e55-94a0-517025942e18",
"avatarModel": "cara-3",
"voiceId": "6bfbe25a-979d-40f3-a92b-5394170af54b",
"llmId": "7736a22f-2d79-4720-952c-25fdca55ad40",
"systemPrompt": "You are a helpful assistant",
"maxSessionLengthSeconds": 600,
"skipGreeting": false,
"voiceDetectionOptions": {
"endOfSpeechSensitivity": 0.5,
"silenceBeforeSkipTurnSeconds": 5,
"silenceBeforeSessionEndSeconds": 60,
"silenceBeforeAutoEndTurnSeconds": 5,
"speechEnhancementLevel": 0.8
},
"languageCode": "<string>",
"voiceGenerationOptions": {
"stability": 0.5,
"similarityBoost": 0,
"speed": 1
}
},
"sessionOptions": {
"sessionReplay": {
"enableSessionReplay": true
}
}
}
'Create a new session token used to initialise the anam client
curl --request POST \
--url https://api.anam.ai/v1/auth/session-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientLabel": "<string>",
"personaConfig": {
"name": "Cara",
"avatarId": "30fa96d0-26c4-4e55-94a0-517025942e18",
"avatarModel": "cara-3",
"voiceId": "6bfbe25a-979d-40f3-a92b-5394170af54b",
"llmId": "7736a22f-2d79-4720-952c-25fdca55ad40",
"systemPrompt": "You are a helpful assistant",
"maxSessionLengthSeconds": 600,
"skipGreeting": false,
"voiceDetectionOptions": {
"endOfSpeechSensitivity": 0.5,
"silenceBeforeSkipTurnSeconds": 5,
"silenceBeforeSessionEndSeconds": 60,
"silenceBeforeAutoEndTurnSeconds": 5,
"speechEnhancementLevel": 0.8
},
"languageCode": "<string>",
"voiceGenerationOptions": {
"stability": 0.5,
"similarityBoost": 0,
"speed": 1
}
},
"sessionOptions": {
"sessionReplay": {
"enableSessionReplay": true
}
}
}
'Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successfully started session
Was this page helpful?